<?php 

	$lighting_store_custom_css = '';

	
	/*----------------Width Layout -------------------*/
    $lighting_store_theme_lay = get_theme_mod( 'lighting_store_width_options','Full Width');
    if($lighting_store_theme_lay == 'Full Width'){
		$lighting_store_custom_css .='body{';
			$lighting_store_custom_css .='max-width: 100%;';
		$lighting_store_custom_css .='}';
	}else if($lighting_store_theme_lay == 'Contained Width'){
		$lighting_store_custom_css .='body{';
			$lighting_store_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$lighting_store_custom_css .='}';
	}else if($lighting_store_theme_lay == 'Boxed Width'){
		$lighting_store_custom_css .='body{';
			$lighting_store_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$lighting_store_custom_css .='}';
	}

	//site logo css
	$lighting_store_logo_size = get_theme_mod('lighting_store_logo_size'); // This value should be a percentage (e.g., 50 for 50%)
	if ($lighting_store_logo_size) {
		$logo_width_px = (350 * $lighting_store_logo_size) / 100; // Calculate the pixel width based on the percentage
		$lighting_store_custom_css .= '.site-logo img {';
		$lighting_store_custom_css .= 'width: '.esc_attr($logo_width_px).'px !important;';
		$lighting_store_custom_css .= '}';
	}

    //Submenu Dropdown Effect
	$lighting_store_dropdown_anim = get_theme_mod('lighting_store_dropdown_anim');
	$lighting_store_custom_css .='.primary-navigation ul ul{';
		$lighting_store_custom_css .='animation: '.esc_attr($lighting_store_dropdown_anim).' 1s ease;';
	$lighting_store_custom_css .='}';

	//slider css
	$lighting_store_title_font_size = get_theme_mod('lighting_store_title_font_size');
	$lighting_store_custom_css .=' #slider .inner_carousel h1{';
		$lighting_store_custom_css .='font-size: '.esc_attr($lighting_store_title_font_size).'px;';
	$lighting_store_custom_css .='}';

	$lighting_store_text_font_size = get_theme_mod('lighting_store_text_font_size');
	$lighting_store_custom_css .=' #slider .inner_carousel p{';
		$lighting_store_custom_css .='font-size: '.esc_attr($lighting_store_text_font_size).'px;';
	$lighting_store_custom_css .='}';

	$lighting_store_btn_text_font_size = get_theme_mod('lighting_store_btn_text_font_size');
	$lighting_store_custom_css .=' #slider .inner_carousel .read-btn a{';
		$lighting_store_custom_css .='font-size: '.esc_attr($lighting_store_btn_text_font_size).'px;';
	$lighting_store_custom_css .='}';

	//features css
	$lighting_store_features_title_font_size = get_theme_mod('lighting_store_features_title_font_size');
	$lighting_store_custom_css .=' .feature-content .feature-box p.feaure-title{';
		$lighting_store_custom_css .='font-size: '.esc_attr($lighting_store_features_title_font_size).'px;';
	$lighting_store_custom_css .='}';

	$lighting_store_features_text_font_size = get_theme_mod('lighting_store_features_text_font_size');
	$lighting_store_custom_css .=' .feature-content .feature-box p.feaure-text{';
		$lighting_store_custom_css .='font-size: '.esc_attr($lighting_store_features_text_font_size).'px;';
	$lighting_store_custom_css .='}';

	//Product section css
	$lighting_store_products_section_title_font_size = get_theme_mod('lighting_store_products_section_title_font_size');
	$lighting_store_custom_css .=' #special-product strong{';
		$lighting_store_custom_css .='font-size: '.esc_attr($lighting_store_products_section_title_font_size).'px;';
	$lighting_store_custom_css .='}';

	$lighting_store_products_section_text_font_size = get_theme_mod('lighting_store_products_section_text_font_size');
	$lighting_store_custom_css .=' #special-product .product-head p{';
		$lighting_store_custom_css .='font-size: '.esc_attr($lighting_store_products_section_text_font_size).'px;';
	$lighting_store_custom_css .='}';

	$lighting_store_special_products_btn_color = get_theme_mod('lighting_store_special_products_btn_color');
	$lighting_store_special_products_btnbg_color = get_theme_mod('lighting_store_special_products_btnbg_color');
	$lighting_store_custom_css .=' .wp-block-button.wc-block-components-product-button .wc-block-components-product-button__button{';
		$lighting_store_custom_css .='color: '.esc_attr($lighting_store_special_products_btn_color).'; background: '.esc_attr($lighting_store_special_products_btnbg_color).';';
	$lighting_store_custom_css .='}';

	//Footer css
	$lighting_store_footer_copy_font_size = get_theme_mod('lighting_store_footer_copy_font_size');
	$lighting_store_custom_css .=' .copyright p{';
		$lighting_store_custom_css .='font-size: '.esc_attr($lighting_store_footer_copy_font_size).'px;';
	$lighting_store_custom_css .='}';